﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://gitlab.com/librewolf-community/browser/windows/uploads/195d6784eda7c8613a18476443b0b9f0/librewolf-106.0.2-1.en-US.win64-setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url64bit      = $url64

  softwareName  = 'LibreWolf'

  checksum64    = 'd70fbe108aacdd3dbced2367a0d9a2b4d8a4c172553d0f87c7a831a65dbcde92'
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

try {
  Install-ChocolateyPackage @packageArgs
} catch  {
  if($_.Exception.Message -match "Exit code was '2'") {
    throw "The installer exited with code 2. This means LibreWolf is probably still running. Close LibreWolf and try again."
  } else {
    throw $_.Exception
  }
}